Kalpana Docs
Resources

Check webhook access

Whether the workspace can add, turn on, test and resend webhook endpoints.

GET /api/webhooks/status

Requires webhooks:read.

NameTypeRequiredDescription
workspacestringYesWorkspace slug or id.
curl "https://app.kalpana.one/api/webhooks/status?workspace=acme" \
  --header "x-api-key: $KALPANA_API_KEY"

Response

{ "subscribed": true }

subscribed is false when the workspace's organization has no active subscription. Adding an endpoint, turning one on, sending a test event and resending a delivery then fail with 402.

Was this page helpful?

Updated 4 Nov 2026

On this page